IdleConnectionHandler (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient.util

## Class IdleConnectionHandler

- java.lang.Object
- - org.apache.commons.httpclient.util.IdleConnectionHandler

-     public class IdleConnectionHandler
      extends java.lang.Object

  A helper class for connection managers to track idle connections.

  This class is not synchronized.

  Since:
    3.0
  See Also:
    `HttpConnectionManager.closeIdleConnections(long)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdleConnectionHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(HttpConnection connection)` Registers the given connection with this handler.
    `void` | `closeIdleConnections(long idleTime)` Closes connections that have been idle for at least the given amount of time.
    `void` | `remove(HttpConnection connection)` Removes the given connection from the list of connections to be closed when idle.
    `void` | `removeAll()` Removes all connections referenced by this handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdleConnectionHandler

          public IdleConnectionHandler()

  - ### Method Detail

    - #### add

          public void add(HttpConnection connection)

      Registers the given connection with this handler. The connection will be held until `remove(HttpConnection)` or `closeIdleConnections(long)` is called.
      Parameters:
        `connection` - the connection to add
      See Also:
        `remove(HttpConnection)`

    - #### remove

          public void remove(HttpConnection connection)

      Removes the given connection from the list of connections to be closed when idle.
      Parameters:
        `connection` -

    - #### removeAll

          public void removeAll()

      Removes all connections referenced by this handler.

    - #### closeIdleConnections

          public void closeIdleConnections(long idleTime)

      Closes connections that have been idle for at least the given amount of time.
      Parameters:
        `idleTime` - the minimum idle time, in milliseconds, for connections to be closed

Copyright (c) 1999-2005 - Apache Software Foundation